/*****************************************************************************
 ASC0_2.c		
 
 This example program initialize in a extern function (SERIO.C, SERIO.H)
 the Asynchronous/Synchro nous Serial Interface 0 in Asynchronous Mode with 
 8-bit data, one Stop bit, no Parity and set variable Baudrate.

					       PHYTEC Messtechnik GmbH, 2000
 ******************************************************************************/

/* ----- Include Dateien: --------------------------------------------------- */
#include <REG167.H>                    /* Define register for C167            */
#include <STDIO.H>		       /* Standard I/O functions	      */
#include "serio.h" 

void main (void)
{
  init_serio (57600);        	       /* init serial interface ASC0 with
   				          57600 baud.			      */
/* ------------ Your programm code ------------------------------------------ */
/* - Example - */
  putchar(' ');                        /* send dummy-Byte for compatibility   */

  printf("\x1AHello World\n");         /* print 'Hello World' to the serial   */
                                       /* port.                               */
  while (1)                            /* An embedded program without any     */
  {                                    /* operating system usually does not   */
                                       /* stop and never returns.             */
                                       /* We've used an endless loop in this  */
                                       /* example.                            */
  printf("  char = %X\n",getchar());   /* print the two digit hex code of     */
                                       /* any received character              */
  }
/* ----- Ende: -------------------------------------------------------------- */
}